if (
      .kind? == "Deployment"
  and .apiVersion? == "apps/v1"
  and (.metadata.name? == "app-service" or .metadata.name? == "worker-service")
) then
  .spec.template.spec.containers //= []
  | .spec.template.spec.containers[0].volumeMounts //= []
  | .spec.template.spec.containers[0].volumeMounts += [{"mountPath":"/root","name":"persist"}]
  | .spec.template.spec.volumes //= []
  | .spec.template.spec.volumes += [{"name":"persist","persistentVolumeClaim":{"claimName":"budibase-persist"}}]
else
  .
end
