#!/bin/bash

INPUT="$(cat|yq -o json .|jq .)"

I=0
echo "$INPUT" > _helm-output${I}.json;I=$((I+1))

for f in helm-jq/*.jq;do
  INPUT="$(echo "$INPUT" | jq "$(cat "$f")")"
  echo "$INPUT" > _helm-output${I}.json;I=$((I+1))
done

(
  echo "$INPUT"
  
  for f in static/*.yaml;do
    cat "$f" | yq -o json .
  done
) \
| jq -c . \
| while read -r R;do echo ---;echo "$R";done \
| awk 'll!="---" || $0!="---" {print} {ll=$0}' \
| yq -P .
