module "werts_grist_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "grist"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://grist.strudelline.net/oauth2/callback"]

  vault_secret_name = "k8s-ns/grist/werts-oidc"
}

output "grist_client_id" {
    value = module.werts_grist_oidc_client
    sensitive = true
}
