module "client_jenkins" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "jenkins"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://jenkins.strudelline.net/securityRealm/finishLogin"]
}

output "jenkins_client_id" {
    value = module.client_jenkins
    sensitive = true
}
