module "werts_debugger_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "debugger"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://debug.werts.us/*"]
}

output "debugger_client_id" {
    value = module.werts_debugger_oidc_client
    sensitive = true
}
