module "client_gitea" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "gitea"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://git.strudelline.net/user/oauth2/werts/callback"]
}

output "gitea_client_id" {
    value = module.client_gitea
    sensitive = true
}
