module "werts_harbor_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "harbor"
  keepers        = { epoch = 1 }
  # vvvvvvvvvvvvvvv REMEMBER TO CHANGE THE REDIRECT vvvvvvvvvvvvvvv
  redirect_uris  = ["https://harbor.strudelline.net/*"]

  kubernetes_secret_name = "oidc-client"
}

output "harbor_client_id" {
    value = module.werts_harbor_oidc_client
    sensitive = true
}
